Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLObjectPropertyImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl
            |
            +--org.semanticweb.owl.impl.model.OWLNamedObjectImpl
                  |
                  +--org.semanticweb.owl.impl.model.OWLEntityImpl
                        |
                        +--org.semanticweb.owl.impl.model.OWLPropertyImpl
                              |
                              +--org.semanticweb.owl.impl.model.OWLObjectPropertyImpl

All Implemented Interfaces:
  Cloneable, OWLDeprecatableObject, org.semanticweb.owl.impl.model.OWLDeprecatableObjectImpl, OWLEntity, OWLNamedObject, OWLObject, OWLObjectProperty, OWLOntologyObject, OWLProperty, Serializable

public class OWLObjectPropertyImpl
extends OWLPropertyImpl
implements OWLObjectProperty

An `OWLProperty` whose range is a class (a collection of domain objects).

Version:
  $Id: OWLObjectPropertyImpl.java,v 1.1.1.1 2003/10/14 17:10:14 sean_bechhofer Exp $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.semanticweb.owl.impl.model.OWLPropertyImpl
`ranges`

Fields inherited from class org.semanticweb.owl.impl.model.OWLNamedObjectImpl
`uri`

Constructor Summary
`OWLObjectPropertyImpl(OWLDataFactoryImpl factory, URI uri)`

Method Summary
`void` | `accept(OWLEntityVisitor visitor)` Accept a visit from a visitor
`void` | `accept(OWLObjectVisitor visitor)` Accept a visit from a visitor
`Set` | `getInverses()`
`Set` | `getInverses(OWLOntology o)` Return all inverses asserted in the given ontology.
`Set` | `getInverses(Set ontos)` Return all inverses asserted in the given ontologies.
`boolean` | `isInverseFunctional()`
`boolean` | `isInverseFunctional(OWLOntology o)` Returns `true` if the property is asserted to be inverse functional (in the given ontology).
`boolean` | `isInverseFunctional(Set ontos)` Returns `true` if the property is asserted to be inverse functional (in the given ontologies).
`boolean` | `isOneToOne()`
`boolean` | `isOneToOne(OWLOntology o)` Returns `true` if the property is asserted to be oneToOne (in the given ontology).
`boolean` | `isOneToOne(Set ontos)` Returns `true` if the property is asserted to be oneToOne (in the given ontologies).
`boolean` | `isSymmetric()`
`boolean` | `isSymmetric(OWLOntology o)` Returns `true` if the property is asserted to be symmetric (in the given ontology).
`boolean` | `isSymmetric(Set ontos)` Returns `true` if the property is asserted to be symmetric (in the given ontologies).
`boolean` | `isTransitive()`
`boolean` | `isTransitive(OWLOntology o)` Returns `true` if the property is asserted to be transitive (in the given ontology).
`boolean` | `isTransitive(Set ontos)` Returns `true` if the property is asserted to be transitive (in the given ontology).

Methods inherited from class org.semanticweb.owl.impl.model.OWLPropertyImpl
`getDomains, getDomains, getDomains, getRanges, getRanges, getRanges, getSuperProperties, getSuperProperties, getSuperProperties, isDeprecated, isFunctional, isFunctional, isFunctional, setDeprecated`

Methods inherited from class org.semanticweb.owl.impl.model.OWLEntityImpl
`addOntology, getOntologies, removeOntology`

Methods inherited from class org.semanticweb.owl.impl.model.OWLNamedObjectImpl
`getURI`

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectImpl
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.model.OWLProperty
`getDomains, getDomains, getRanges, getRanges, getSuperProperties, getSuperProperties, isFunctional, isFunctional`

Methods inherited from interface org.semanticweb.owl.model.OWLNamedObject
`getURI`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from interface org.semanticweb.owl.model.OWLOntologyObject
`getOntologies`

Methods inherited from interface org.semanticweb.owl.model.OWLDeprecatableObject
`isDeprecated`

Constructor Detail

### OWLObjectPropertyImpl

    public OWLObjectPropertyImpl(OWLDataFactoryImpl factory,
                                 URI uri)

Method Detail

### getInverses

    public Set getInverses()

### getInverses

    public Set getInverses(Set ontos)

  Description copied from interface: `OWLObjectProperty`
  Return all inverses asserted in the given ontologies.

  Specified by:
    `getInverses` in interface `OWLObjectProperty`
  Returns:
    a `Set` value

### getInverses

    public Set getInverses(OWLOntology o)

  Description copied from interface: `OWLObjectProperty`
  Return all inverses asserted in the given ontology.

  Specified by:
    `getInverses` in interface `OWLObjectProperty`
  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `Set` value

### isSymmetric

    public boolean isSymmetric(OWLOntology o)

  Description copied from interface: `OWLObjectProperty`
  Returns `true` if the property is asserted to be symmetric (in the given ontology).

  Specified by:
    `isSymmetric` in interface `OWLObjectProperty`
  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `boolean` value

### isSymmetric

    public boolean isSymmetric(Set ontos)

  Description copied from interface: `OWLObjectProperty`
  Returns `true` if the property is asserted to be symmetric (in the given ontologies).

  Specified by:
    `isSymmetric` in interface `OWLObjectProperty`
  Returns:
    a `boolean` value

### isSymmetric

    public boolean isSymmetric()

### isInverseFunctional

    public boolean isInverseFunctional(OWLOntology o)

  Description copied from interface: `OWLObjectProperty`
  Returns `true` if the property is asserted to be inverse functional (in the given ontology).

  Specified by:
    `isInverseFunctional` in interface `OWLObjectProperty`
  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `boolean` value

### isInverseFunctional

    public boolean isInverseFunctional(Set ontos)

  Description copied from interface: `OWLObjectProperty`
  Returns `true` if the property is asserted to be inverse functional (in the given ontologies).

  Specified by:
    `isInverseFunctional` in interface `OWLObjectProperty`
  Returns:
    a `boolean` value

### isInverseFunctional

    public boolean isInverseFunctional()

### isOneToOne

    public boolean isOneToOne(OWLOntology o)

  Description copied from interface: `OWLObjectProperty`
  Returns `true` if the property is asserted to be oneToOne (in the given ontology).

  Specified by:
    `isOneToOne` in interface `OWLObjectProperty`
  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `boolean` value

### isOneToOne

    public boolean isOneToOne(Set ontos)

  Description copied from interface: `OWLObjectProperty`
  Returns `true` if the property is asserted to be oneToOne (in the given ontologies).

  Specified by:
    `isOneToOne` in interface `OWLObjectProperty`
  Returns:
    a `boolean` value

### isOneToOne

    public boolean isOneToOne()

### isTransitive

    public boolean isTransitive(OWLOntology o)

  Description copied from interface: `OWLObjectProperty`
  Returns `true` if the property is asserted to be transitive (in the given ontology).

  Specified by:
    `isTransitive` in interface `OWLObjectProperty`
  Parameters:
    `o` - an `OWLOntology` value
  Returns:
    a `boolean` value

### isTransitive

    public boolean isTransitive(Set ontos)

  Description copied from interface: `OWLObjectProperty`
  Returns `true` if the property is asserted to be transitive (in the given ontology).

  Specified by:
    `isTransitive` in interface `OWLObjectProperty`
  Returns:
    a `boolean` value

### isTransitive

    public boolean isTransitive()

### accept

    public void accept(OWLObjectVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLObject`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLObject`
  Specified by:
    `accept` in class `OWLObjectImpl`
    `OWLException`

### accept

    public void accept(OWLEntityVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLEntity`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLEntity`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb